using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(SpriteRenderer))]
public class Player : Entity
{
    public List<Item> Items;

    private int GetAttackValue()
    {
        return Stat.ATK;
    }
    public int Attack(Enemy enemy)
    {
        int atk = GetAttackValue();
        enemy.DecrementHP(atk);
        return atk;
    }

    public void Defend()
    {
        Debug.Log("You DEFEND!");
    }

    public Item GetItem()
    {
        int i = Random.Range(0, Items.Count);
        return Items[i];
    }
}